/*
 *  /MathJax/extensions/TeX/ieee_stixext.js
 *
 *  Copyright (c) 2009-2016 The MathJax Consortium
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License. 
 */

MathJax.Hub.Register.StartupHook("mml Jax Ready",function () {
  var MML = MathJax.ElementJax.mml;
  var OP = MML.mo.OPTYPES.OP;
  var OPTABLE = MML.mo.prototype.OPTABLE.prefix;
  OPTABLE['\u2140'] = OP;
  OPTABLE['\u29F8'] = OP;
  OPTABLE['\u29F9'] = OP;
});

MathJax.Hub.Register.LoadHook("[MathJax]/jax/output/HTML-CSS/fonts/STIX/fontdata.js",function () {
  var DELIMITERS = MathJax.OutputJax['HTML-CSS'].FONTDATA.DELIMITERS;
  var GENERAL = "STIXGeneral",
      NONUNI  = "STIXNonUnicode",
      SIZE1   = "STIXSizeOneSym",
      SIZE2   = "STIXSizeTwoSym",
      SIZE3   = "STIXSizeThreeSym",
      SIZE4   = "STIXSizeFourSym",
      SIZE5   = "STIXSizeFiveSym";
  var H = "H", V = "V";
  MathJax.Hub.Insert(DELIMITERS,{
    0x2772: {
      dir: V,
      HW: [[0.932,GENERAL], [1.230,SIZE1], [1.845,SIZE2], [2.459,SIZE3], [3.075,SIZE4]]
    },
    0x2773: {
      dir: V,
      HW: [[0.932,GENERAL], [1.230,SIZE1], [1.845,SIZE2], [2.459,SIZE3], [3.075,SIZE4]]
    },
    0x2983: {
      dir: V,
      HW: [[0.932,GENERAL], [1.230,SIZE1], [1.845,SIZE2], [2.460,SIZE3], [3.075,SIZE4]]
    },
    0x2984: {
      dir: V,
      HW: [[0.932,GENERAL], [1.230,SIZE1], [1.845,SIZE2], [2.460,SIZE3], [3.075,SIZE4]]
    },
    0x2985: {
      dir: V,
      HW: [[0.932,GENERAL], [1.230,SIZE1], [1.848,SIZE2], [2.459,SIZE3], [3.075,SIZE4]]
    },
    0x2986: {
      dir: V,
      HW: [[0.932,GENERAL], [1.230,SIZE1], [1.848,SIZE2], [2.459,SIZE3], [3.075,SIZE4]]
    },
    0x27F0: {
      dir: V,
      HW: [[0.818,GENERAL]],
      stretch: {ext:[0xE137,NONUNI], top:[0x27F0,GENERAL]}
    },
    0x27F1: {
      dir: V,
      HW: [[0.818,GENERAL]],
      stretch: {bot:[0x27F1,GENERAL], ext:[0xE137,NONUNI]}
    },
    0x20D0: {
      dir: H,
      HW: [[0.436,GENERAL], [0.871,SIZE1], [1.308,SIZE2], [1.744,SIZE3], [2.180,SIZE4], [3.000,SIZE5]],
      stretch: {left:[0xE015,NONUNI], rep:[0xE016,NONUNI]}
    },
    0x20D1: {
      dir: H,
      HW: [[0.436,GENERAL], [0.871,SIZE1], [1.308,SIZE2], [1.744,SIZE3], [2.180,SIZE4], [3.000,SIZE5]],
      stretch: {rep:[0xE016,NONUNI], right:[0xE017,NONUNI]}
    },
    0x20EC: {
      dir: H,
      HW: [[0.436,GENERAL], [0.871,SIZE1], [1.308,SIZE2], [1.744,SIZE3], [2.180,SIZE4], [3.000,SIZE5]],
      stretch: {rep:[0xE01A,NONUNI], right:[0xE01B,NONUNI]}
    },
    0x20ED: {
      dir: H,
      HW: [[0.436,GENERAL], [0.871,SIZE1], [1.308,SIZE2], [1.744,SIZE3], [2.180,SIZE4], [3.000,SIZE5]],
      stretch: {left:[0xE01C,NONUNI], rep:[0xE01A,NONUNI]}
    }
  });
});

MathJax.Hub.Register.LoadHook("[MathJax]/jax/output/HTML-CSS/fonts/STIX/General/Regular/CombDiactForSymbols.js", function () {
  var FONTDATA = MathJax.OutputJax['HTML-CSS'].FONTDATA;
  FONTDATA.FONTS['STIXGeneral'][0x20E7][1] = -550;
});

MathJax.Hub.Register.StartupHook("TeX AMSsymbols Ready",function(){
var a=MathJax.ElementJax.mml,b=MathJax.InputJax.TeX.Definitions;
b.Add({
mathchar0mi:{
mathdollar:["0024",{mathvariant:a.VARIANT.NORMAL}],
mathsterling:["00A3",{mathvariant:a.VARIANT.NORMAL}],
mathsection:["00A7",{mathvariant:a.VARIANT.NORMAL}],
mathparagraph:["00B6",{mathvariant:a.VARIANT.NORMAL}],
backepsilon:"03F6",
enleadertwodots:"2025",
mathellipsis:"2026",
dprime:["2033",{variantForm:true}],
trprime:["2034",{variantForm:true}],
backdprime:["2036",{variantForm:true}],
backtrprime:["2037",{variantForm:true}]
},
mathchar0mo:{
sansLturned:"2142",
sansLmirrored:"2143",
Yup:"2144",
PropertyLine:"214A",
mdlgblksquare:"25A0",
mdlgwhtsquare:"25A1",
bigblacktriangleup:"25B2",
smallblacktriangleright:"25B8",
smalltriangleright:"25B9",
oiint:"222F",
Zbar:"01B5",
upbackepsilon:"03F6",
Exclam:"203C",
caretinsert:"2038",
hyphenbullet:"2043",
Question:"2047",
qprime:["2057",{variantForm:true}],
enclosecircle:"20DD",
enclosesquare:"20DE",
enclosediamond:"20DF",
enclosetriangle:"20E4",
Eulerconst:"2107",
turnediota:"2129",
Angstrom:"212B",
updownarrowbar:"21A8",
linefeed:"21B4",
carriagereturn:"21B5",
barovernorthwestarrow:"21B8",
barleftarrowrightarrowbar:"21B9",
acwopencirclearrow:"21BA",
cwopencirclearrow:"21BB",
nHuparrow:"21DE",
nHdownarrow:"21DF",
leftdasharrow:"21E0",
updasharrow:"21E1",
rightdasharrow:"21E2",
downdasharrow:"21E3",
leftwhitearrow:"21E6",
upwhitearrow:"21E7",
rightwhitearrow:"21E8",
downwhitearrow:"21E9",
whitearrowupfrombar:"21EA",
increment:"2206",
QED:"220E",
rightangle:"221F",
sinewave:"223F",
hermitmatrix:"22B9",
measuredrightangle:"22BE",
varlrtriangle:"22BF",
diameter:"2300",
house:"2302",
invnot:"2310",
sqlozenge:"2311",
profline:"2312",
profsurf:"2313",
viewdata:"2317",
turnednot:"2319",
varhexagonlrbonds:"232C",
conictaper:"2332",
topbot:"2336",
smblkcircle:"2022",
fracslash:"2044",
upand:"214B",
vysmwhtcircle:"2218",
vysmblkcircle:"2219",
dotminus:"2238",
invlazys:"223E",
cupleftarrow:"228C",
cupdot:"228D",
circledequal:"229C",
barvee:"22BD",
smwhtdiamond:"22C4",
varbarwedge:"2305",
vardoublebarwedge:"2306",
obar:"233D",
mdlgwhtcircle:"25CB",
boxbar:"25EB",
veedot:"27C7",
wedgedot:"27D1",
lozengeminus:"27E0",
concavediamond:"27E1",
concavediamondtickleft:"27E2",
concavediamondtickright:"27E3",
whitesquaretickleft:"27E4",
whitesquaretickright:"27E5",
APLnotbackslash:"2340",
APLboxupcaret:"2353",
APLboxquestion:"2370",
rangledownzigzagarrow:"237C",
hexagon:"2394",
bbrktbrk:"23B6",
varcarriagereturn:"23CE",
squoval:"25A2",
blackinwhitesquare:"25A3",
squarehfill:"25A4",
squarevfill:"25A5",
squarehvfill:"25A6",
squarenwsefill:"25A7",
squareneswfill:"25A8",
squarecrossfill:"25A9",
smblksquare:"25AA",
smwhtsquare:"25AB",
hrectangleblack:"25AC",
hrectangle:"25AD",
vrectangleblack:"25AE",
vrectangle:"25AF",
parallelogramblack:"25B0",
parallelogram:"25B1",
blackpointerright:"25BA",
whitepointerright:"25BB",
bigblacktriangledown:"25BC",
smallblacktriangleleft:"25C2",
smalltriangleleft:"25C3",
blackpointerleft:"25C4",
whitepointerleft:"25C5",
mdlgblkdiamond:"25C6",
mdlgwhtdiamond:"25C7",
blackinwhitediamond:"25C8",
fisheye:"25C9",
mdlgwhtlozenge:"25CA",
dottedcircle:"25CC",
circlevertfill:"25CD",
bullseye:"25CE",
mdlgblkcircle:"25CF",
circlelefthalfblack:"25D0",
circlerighthalfblack:"25D1",
circlebottomhalfblack:"25D2",
circletophalfblack:"25D3",
circleurquadblack:"25D4",
blackcircleulquadwhite:"25D5",
blacklefthalfcircle:"25D6",
blackrighthalfcircle:"25D7",
inversebullet:"25D8",
inversewhitecircle:"25D9",
invwhiteupperhalfcircle:"25DA",
invwhitelowerhalfcircle:"25DB",
ularc:"25DC",
urarc:"25DD",
lrarc:"25DE",
llarc:"25DF",
topsemicircle:"25E0",
botsemicircle:"25E1",
lrblacktriangle:"25E2",
llblacktriangle:"25E3",
ulblacktriangle:"25E4",
urblacktriangle:"25E5",
smwhtcircle:"25E6",
squareleftblack:"25E7",
squarerightblack:"25E8",
squareulblack:"25E9",
squarelrblack:"25EA",
trianglecdot:"25EC",
triangleleftblack:"25ED",
trianglerightblack:"25EE",
lgwhtcircle:"25EF",
squareulquad:"25F0",
squarellquad:"25F1",
squarelrquad:"25F2",
squareurquad:"25F3",
circleulquad:"25F4",
circlellquad:"25F5",
circlelrquad:"25F6",
circleurquad:"25F7",
ultriangle:"25F8",
urtriangle:"25F9",
lltriangle:"25FA",
mdwhtsquare:"25FB",
mdblksquare:"25FC",
mdsmwhtsquare:"25FD",
mdsmblksquare:"25FE",
lrtriangle:"25FF",
bigwhitestar:"2606",
astrosun:"2609",
danger:"2621",
blacksmiley:"263B",
sun:"263C",
rightmoon:"263D",
leftmoon:"263E",
female:"2640",
male:"2642",
varspadesuit:"2664",
varheartsuit:"2665",
vardiamondsuit:"2666",
varclubsuit:"2667",
quarternote:"2669",
eighthnote:"266A",
twonotes:"266B",
acidfree:"267E",
dicei:"2680",
diceii:"2681",
diceiii:"2682",
diceiv:"2683",
dicev:"2684",
dicevi:"2685",
circledrightdot:"2686",
circledtwodots:"2687",
blackcircledrightdot:"2688",
blackcircledtwodots:"2689",
Hermaphrodite:"26A5",
mdwhtcircle:"26AA",
mdblkcircle:"26AB",
mdsmwhtcircle:"26AC",
neuter:"26B2",
circledstar:"272A",
varstar:"2736",
dingasterisk:"273D",
draftingarrow:"279B",
threedangle:"27C0",
whiteinwhitetriangle:"27C1",
subsetcirc:"27C3",
supsetcirc:"27C4",
diamondcdot:"27D0",
rdiagovfdiag:"292B",
fdiagovrdiag:"292C",
seovnearrow:"292D",
neovsearrow:"292E",
fdiagovnearrow:"292F",
rdiagovsearrow:"2930",
neovnwarrow:"2931",
nwovnearrow:"2932",
uprightcurvearrow:"2934",
downrightcurvedarrow:"2935",
mdsmblkcircle:"2981",
fourvdots:"2999",
vzigzag:"299A",
measuredangleleft:"299B",
rightanglesqr:"299C",
rightanglemdot:"299D",
angles:"299E",
angdnr:"299F",
gtlpar:"29A0",
sphericalangleup:"29A1",
turnangle:"29A2",
revangle:"29A3",
angleubar:"29A4",
revangleubar:"29A5",
wideangledown:"29A6",
wideangleup:"29A7",
measanglerutone:"29A8",
measanglelutonw:"29A9",
measanglerdtose:"29AA",
measangleldtosw:"29AB",
measangleurtone:"29AC",
measangleultonw:"29AD",
measangledrtose:"29AE",
measangledltosw:"29AF",
revemptyset:"29B0",
emptysetobar:"29B1",
emptysetocirc:"29B2",
emptysetoarr:"29B3",
emptysetoarrl:"29B4",
obot:"29Ba",
olcross:"29BB",
odotslashdot:"29BC",
uparrowoncircle:"29BD",
circledwhitebullet:"29BE",
circledbullet:"29BF",
cirscir:"29C2",
cirE:"29C3",
boxonbox:"29C9",
triangleodot:"29CA",
triangleubar:"29CB",
triangles:"29CC",
iinfin:"29DC",
tieinfty:"29DD",
nvinfty:"29DE",
laplac:"29E0",
thermod:"29E7",
downtriangleleftblack:"29E8",
downtrianglerightblack:"29E9",
blackdiamonddownarrow:"29EA",
circledownarrow:"29EC",
blackcircledownarrow:"29ED",
errbarsquare:"29EE",
errbarblacksquare:"29EF",
errbardiamond:"29F0",
errbarblackdiamond:"29F1",
errbarcircle:"29F2",
errbarblackcircle:"29F3",
perps:"2AE1",
topcir:"2AF1",
squaretopblack:"2B12",
squarebotblack:"2B13",
squareurblack:"2B14",
squarellblack:"2B15",
diamondleftblack:"2B16",
diamondrightblack:"2B17",
diamondtopblack:"2B18",
diamondbotblack:"2B19",
dottedsquare:"2B1A",
lgblksquare:"2B1B",
lgwhtsquare:"2B1C",
vysmblksquare:"2B1D",
vysmwhtsquare:"2B1E",
pentagonblack:"2B1F",
pentagon:"2B20",
varhexagon:"2B21",
varhexagonblack:"2B22",
hexagonblack:"2B23",
lgblkcircle:"2B24",
mdblkdiamond:"2B25",
mdwhtdiamond:"2B26",
mdblklozenge:"2B27",
mdwhtlozenge:"2B28",
smblkdiamond:"2B29",
smblklozenge:"2B2A",
smwhtlozenge:"2B2B",
blkhorzoval:"2B2C",
whthorzoval:"2B2D",
blkvertoval:"2B2E",
whtvertoval:"2B2F",
medwhitestar:"2B50",
medblackstar:"2B51",
smwhitestar:"2B52",
rightpentagonblack:"2B53",
rightpentagon:"2B54",
postalmark:"3012",
hzigzag:"3030",
obrbrak:"23E0",
ubrbrak:"23E1",
trapezium:"23E2",
benzenr:"23E3",
strns:"23E4",
fltns:"23E5",
accurrent:"23E6",
elinters:"23E7",
mathvisiblespace:"2423",
typecolon:"2982",
circlehbar:"29B5",
circledvert:"29B6",
circledparallel:"29B7",
obslash:"29B8",
operp:"29B9",
olessthan:"29C0",
ogreaterthan:"29C1",
boxdiag:"29C4",
boxbslash:"29C5",
boxast:"29C6",
boxcircle:"29C7",
boxbox:"29C8",
triangleserifs:"29CD",
hourglass:"29D6",
blackhourglass:"29D7",
shuffle:"29E2",
mdlgblklozenge:"29EB",
dsol:"29F6",
rsolbar:"29F7",
doubleplus:"29FA",
tripleplus:"29FB",
tplus:"29FE",
tminus:"29FF",
ringplus:"2A22",
plushat:"2A23",
simplus:"2A24",
plusdot:"2A25",
plussim:"2A26",
plussubtwo:"2A27",
plustrif:"2A28",
commaminus:"2A29",
minusdot:"2A2A",
minusfdots:"2A2B",
minusrdots:"2A2C",
opluslhrim:"2A2D",
oplusrhrim:"2A2E",
vectimes:"2A2F",
dottimes:"2A30",
timesbar:"2A31",
btimes:"2A32",
smashtimes:"2A33",
otimeslhrim:"2A34",
otimesrhrim:"2A35",
otimeshat:"2A36",
Otimes:"2A37",
odiv:"2A38",
triangleplus:"2A39",
triangleminus:"2A3A",
triangletimes:"2A3B",
intprod:"2A3C",
intprodr:"2A3D",
fcmp:"2A3E",
capdot:"2A40",
uminus:"2A41",
barcup:"2A42",
barcap:"2A43",
capwedge:"2A44",
cupvee:"2A45",
cupovercap:"2A46",
capovercup:"2A47",
cupbarcap:"2A48",
capbarcup:"2A49",
twocups:"2A4A",
twocaps:"2A4B",
closedvarcup:"2A4C",
closedvarcap:"2A4D",
Sqcap:"2A4E",
Sqcup:"2A4F",
closedvarcupsmashprod:"2A50",
wedgeodot:"2A51",
veeodot:"2A52",
Wedge:"2A53",
Vee:"2A54",
wedgeonwedge:"2A55",
veeonvee:"2A56",
bigslopedvee:"2A57",
bigslopedwedge:"2A58",
wedgemidvert:"2A5A",
veemidvert:"2A5B",
midbarwedge:"2A5C",
midbarvee:"2A5D",
wedgebar:"2A5F",
wedgedoublebar:"2A60",
varveebar:"2A61",
doublebarvee:"2A62",
veedoublebar:"2A63",
dsub:"2A64",
rsub:"2A65",
eqqplus:"2A71",
pluseqq:"2A72",
interleave:"2AF4",
nhVvert:"2AF5",
threedotcolon:"2AF6",
trslash:"2AFB",
sslash:"2AFD",
talloblong:"2AFE",
less:"003C",
equal:"003D",
greater:"003E",
closure:"2050",
vertoverlay:"20D2",
leftwavearrow:"219C",
rightwavearrow:"219D",
twoheaduparrow:"219F",
twoheaddownarrow:"21A1",
mapsfrom:"21A4",
mapsup:"21A5",
mapsdown:"21A7",
downzigzagarrow:"21AF",
Ldsh:"21B2",
Rdsh:"21B3",
updownarrows:"21C5",
Nwarrow:"21D6",
Nearrow:"21D7",
Searrow:"21D8",
Swarrow:"21D9",
leftsquigarrow:"21DC",
barleftarrow:"21E4",
rightarrowbar:"21E5",
circleonrightarrow:"21F4",
downuparrows:"21F5",
rightthreearrows:"21F6",
nvleftarrow:"21F7",
nvrightarrow:"21F8",
nvleftrightarrow:"21F9",
nVleftarrow:"21FA",
nVrightarrow:"21FB",
nVleftrightarrow:"21FC",
leftarrowtriangle:"21FD",
rightarrowtriangle:"21FE",
leftrightarrowtriangle:"21FF",
smallin:"220A",
nni:"220C",
smallni:"220D",
Colon:"2237",
dashcolon:"2239",
dotsminusdots:"223A",
kernelcontraction:"223B",
nsime:"2244",
simneqq:"2246",
napprox:"2249",
approxident:"224B",
backcong:"224C",
coloneq:"2254",
eqcolon:"2255",
arceq:"2258",
wedgeq:"2259",
veeeq:"225A",
stareq:"225B",
eqdef:"225D",
measeq:"225E",
questeq:"225F",
nequiv:"2262",
Equiv:"2263",
nasymp:"226D",
nlesssim:"2274",
ngtrsim:"2275",
nlessgtr:"2278",
ngtrless:"2279",
nsubset:"2284",
nsupset:"2285",
assert:"22A6",
VDash:"22AB",
prurel:"22B0",
scurel:"22B1",
origof:"22B6",
imageof:"22B7",
equalparallel:"22D5",
eqless:"22DC",
eqgtr:"22DD",
npreccurlyeq:"22E0",
nsucccurlyeq:"22E1",
nsqsubseteq:"22E2",
nsqsupseteq:"22E3",
sqsubsetneq:"22E4",
sqsupsetneq:"22E5",
nvartriangleleft:"22EA",
nvartriangleright:"22EB",
adots:"22F0",
disin:"22F2",
varisins:"22F3",
isins:"22F4",
isindot:"22F5",
varisinobar:"22F6",
isinobar:"22F7",
isinvb:"22F8",
isinE:"22F9",
nisd:"22FA",
varnis:"22FB",
nis:"22FC",
varniobar:"22FD",
niobar:"22FE",
bagmember:"22FF",
APLnotslash:"233F",
bsolhsub:"27C8",
suphsol:"27C9",
upin:"27D2",
pullback:"27D3",
pushout:"27D4",
DashVDash:"27DA",
dashVdash:"27DB",
multimapinv:"27DC",
vlongdash:"27DD",
longdashv:"27DE",
cirbot:"27DF",
acwgapcirclearrow:"27F2",
cwgapcirclearrow:"27F3",
rightarrowonoplus:"27F4",
longmapsfrom:"27FB",
Longmapsfrom:"27FD",
Longmapsto:"27FE",
longrightsquigarrow:"27FF",
nvtwoheadrightarrow:"2900",
nVtwoheadrightarrow:"2901",
nvLeftarrow:"2902",
nvRightarrow:"2903",
nvLeftrightarrow:"2904",
twoheadmapsto:"2905",
Mapsfrom:"2906",
Mapsto:"2907",
downarrowbarred:"2908",
uparrowbarred:"2909",
leftbkarrow:"290C",
rightbkarrow:"290D",
leftdbkarrow:"290E",
dbkarow:"290F",
drbkarow:"2910",
rightdotarrow:"2911",
baruparrow:"2912",
downarrowbar:"2913",
nvrightarrowtail:"2914",
nVrightarrowtail:"2915",
twoheadrightarrowtail:"2916",
nvtwoheadrightarrowtail:"2917",
nVtwoheadrightarrowtail:"2918",
lefttail:"2919",
righttail:"291A",
leftdbltail:"291B",
rightdbltail:"291C",
diamondleftarrow:"291D",
rightarrowdiamond:"291E",
diamondleftarrowbar:"291F",
barrightarrowdiamond:"2920",
nwsearrow:"2921",
neswarrow:"2922",
hknwarrow:"2923",
hknearrow:"2924",
hksearow:"2925",
hkswarow:"2926",
tona:"2927",
toea:"2928",
tosa:"2929",
towa:"292A",
rightcurvedarrow:"2933",
leftdowncurvedarrow:"2936",
rightdowncurvedarrow:"2937",
cwrightarcarrow:"2938",
acwleftarcarrow:"2939",
acwoverarcarrow:"293A",
acwunderarcarrow:"293B",
curvearrowrightminus:"293C",
curvearrowleftplus:"293D",
cwundercurvearrow:"293E",
ccwundercurvearrow:"293F",
acwcirclearrow:"2940",
cwcirclearrow:"2941",
rightarrowshortleftarrow:"2942",
leftarrowshortrightarrow:"2943",
shortrightarrowleftarrow:"2944",
rightarrowplus:"2945",
leftarrowplus:"2946",
rightarrowx:"2947",
leftrightarrowcircle:"2948",
twoheaduparrowcircle:"2949",
leftrightharpoonupdown:"294A",
leftrightharpoondownup:"294B",
updownharpoonrightleft:"294C",
updownharpoonleftright:"294D",
leftrightharpoonupup:"294E",
updownharpoonrightright:"294F",
leftrightharpoondowndown:"2950",
updownharpoonleftleft:"2951",
barleftharpoonup:"2952",
rightharpoonupbar:"2953",
barupharpoonright:"2954",
downharpoonrightbar:"2955",
barleftharpoondown:"2956",
rightharpoondownbar:"2957",
barupharpoonleft:"2958",
downharpoonleftbar:"2959",
leftharpoonupbar:"295A",
barrightharpoonup:"295B",
upharpoonrightbar:"295C",
bardownharpoonright:"295D",
leftharpoondownbar:"295E",
barrightharpoondown:"295F",
upharpoonleftbar:"2960",
bardownharpoonleft:"2961",
leftharpoonsupdown:"2962",
upharpoonsleftright:"2963",
rightharpoonsupdown:"2964",
downharpoonsleftright:"2965",
leftrightharpoonsup:"2966",
leftrightharpoonsdown:"2967",
rightleftharpoonsup:"2968",
rightleftharpoonsdown:"2969",
leftharpoonupdash:"296A",
dashleftharpoondown:"296B",
rightharpoonupdash:"296C",
dashrightharpoondown:"296D",
updownharpoonsleftright:"296E",
downupharpoonsleftright:"296F",
rightimply:"2970",
equalrightarrow:"2971",
similarrightarrow:"2972",
leftarrowsimilar:"2973",
rightarrowsimilar:"2974",
rightarrowapprox:"2975",
ltlarr:"2976",
leftarrowless:"2977",
gtrarr:"2978",
subrarr:"2979",
leftarrowsubset:"297A",
suplarr:"297B",
leftfishtail:"297C",
rightfishtail:"297D",
upfishtail:"297E",
downfishtail:"297F",
rtriltri:"29CE",
ltrivb:"29CF",
vbrtri:"29D0",
lfbowtie:"29D1",
rfbowtie:"29D2",
fbowtie:"29D3",
lftimes:"29D4",
rftimes:"29D5",
dualmap:"29DF",
lrtriangleeq:"29E1",
eparsl:"29E3",
smeparsl:"29E4",
eqvparsl:"29E5",
gleichstark:"29E6",
ruledelayed:"29F4",
veeonwedge:"2A59",
eqdot:"2A66",
dotequiv:"2A67",
equivVert:"2A68",
equivVvert:"2A69",
dotsim:"2A6A",
simrdots:"2A6B",
simminussim:"2A6C",
congdot:"2A6D",
asteq:"2A6E",
hatapprox:"2A6F",
approxeqq:"2A70",
eqqsim:"2A73",
Coloneq:"2A74",
eqeq:"2A75",
eqeqeq:"2A76",
ddotseq:"2A77",
equivDD:"2A78",
ltcir:"2A79",
gtcir:"2A7A",
ltquest:"2A7B",
gtquest:"2A7C",
lesdot:"2A7F",
gesdot:"2A80",
lesdoto:"2A81",
gesdoto:"2A82",
lesdotor:"2A83",
gesdotol:"2A84",
lsime:"2A8D",
gsime:"2A8E",
lsimg:"2A8F",
gsiml:"2A90",
lgE:"2A91",
glE:"2A92",
lesges:"2A93",
gesles:"2A94",
elsdot:"2A97",
egsdot:"2A98",
eqqless:"2A99",
eqqgtr:"2A9A",
eqqslantless:"2A9B",
eqqslantgtr:"2A9C",
simless:"2A9D",
simgtr:"2A9E",
simlE:"2A9F",
simgE:"2AA0",
Lt:"2AA1",
Gt:"2AA2",
partialmeetcontraction:"2AA3",
glj:"2AA4",
gla:"2AA5",
ltcc:"2AA6",
gtcc:"2AA7",
lescc:"2AA8",
gescc:"2AA9",
smt:"2AAA",
lat:"2AAB",
smte:"2AAC",
late:"2AAD",
bumpeqq:"2AAE",
precneq:"2AB1",
succneq:"2AB2",
preceqq:"2AB3",
succeqq:"2AB4",
Prec:"2ABB",
Succ:"2ABC",
subsetdot:"2ABD",
supsetdot:"2ABE",
subsetplus:"2ABF",
supsetplus:"2AC0",
submult:"2AC1",
supmult:"2AC2",
subedot:"2AC3",
supedot:"2AC4",
subsim:"2AC7",
supsim:"2AC8",
subsetapprox:"2AC9",
supsetapprox:"2ACA",
lsqhook:"2ACD",
rsqhook:"2ACE",
csub:"2ACF",
csup:"2AD0",
csube:"2AD1",
csupe:"2AD2",
subsup:"2AD3",
supsub:"2AD4",
subsub:"2AD5",
supsup:"2AD6",
suphsub:"2AD7",
supdsub:"2AD8",
forkv:"2AD9",
topfork:"2ADA",
mlcp:"2ADB",
forks:"2ADC",
forksnot:"2ADD",
shortlefttack:"2ADE",
shortdowntack:"2ADF",
shortuptack:"2AE0",
vDdash:"2AE2",
dashV:"2AE3",
Dashv:"2AE4",
DashV:"2AE5",
varVdash:"2AE6",
Barv:"2AE7",
vBar:"2AE8",
vBarv:"2AE9",
barV:"2AEA",
Vbar:"2AEB",
Not:"2AEC",
bNot:"2AED",
revnmid:"2AEE",
cirmid:"2AEF",
midcir:"2AF0",
nhpar:"2AF2",
parsim:"2AF3",
lllnest:"2AF7",
gggnest:"2AF8",
leqqslant:"2AF9",
geqqslant:"2AFA",
circleonleftarrow:"2B30",
leftthreearrows:"2B31",
leftarrowonoplus:"2B32",
longleftsquigarrow:"2B33",
nvtwoheadleftarrow:"2B34",
nVtwoheadleftarrow:"2B35",
twoheadmapsfrom:"2B36",
twoheadleftdbkarrow:"2B37",
leftdotarrow:"2B38",
nvleftarrowtail:"2B39",
nVleftarrowtail:"2B3A",
twoheadleftarrowtail:"2B3B",
nvtwoheadleftarrowtail:"2B3C",
nVtwoheadleftarrowtail:"2B3D",
leftarrowx:"2B3E",
leftcurvedarrow:"2B3F",
equalleftarrow:"2B40",
bsimilarleftarrow:"2B41",
leftarrowbackapprox:"2B42",
rightarrowgtr:"2B43",
rightarrowsupset:"2B44",
LLeftarrow:"2B45",
RRightarrow:"2B46",
bsimilarrightarrow:"2B47",
rightarrowbackapprox:"2B48",
similarleftarrow:"2B49",
leftarrowapprox:"2B4A",
leftarrowbsimilar:"2B4B",
rightarrowbsimilar:"2B4C",
smalliint:"222C",
smalliiint:"222D",
smalloint:"222E",
smalloiint:"222F",
smalloiiint:"2230",
smallintclockwise:"2231",
smallvarointclockwise:"2232",
smallointctrclockwise:"2233",
smallsumint:"2A0B",
smalliiiint:"2A0C",
smallintbar:"2A0D",
smallintBar:"2A0E",
smallfint:"2A0F",
smallcirfnint:"2A10",
smallawint:"2A11",
smallrppolint:"2A12",
smallscpolint:"2A13",
smallnpolint:"2A14",
smallpointint:"2A15",
smallsqint:"2A16",
smallintlarhk:"2A17",
smallintx:"2A18",
smallintcap:"2A19",
smallintcup:"2A1A",
smallupint:"2A1B",
smalllowint:"2A1C",
oiiint:"2230",
intclockwise:"2231",
varointclockwise:"2232",
ointctrclockwise:"2233",
sumint:"2A0B",
intbar:"2A0D",
intBar:"2A0E",
fint:"2A0F",
cirfnint:"2A10",
awint:"2A11",
rppolint:"2A12",
scpolint:"2A13",
npolint:"2A14",
pointint:"2A15",
sqint:"2A16",
intlarhk:"2A17",
intx:"2A18",
intcap:"2A19",
intcup:"2A1A",
upint:"2A1B",
lowint:"2A1C",
Bbbsum:"2140",
leftouterjoin:"27D5",
rightouterjoin:"27D6",
fullouterjoin:"27D7",
bigbot:"27D8",
bigtop:"27D9",
xsol:"29F8",
xbsol:"29F9",
bigcupdot:"2A03",
bigsqcap:"2A05",
conjquant:"2A07",
disjquant:"2A08",
bigtimes:"2A09",
modtwosum:"2A0A",
bigtriangleleft:"2A1E",
zcmp:"2A1F",
zpipe:"2A20",
zproject:"2A21",
biginterleave:"2AFC",
bigtalloblong:"2AFF",
llparenthesis:"2987",
rrparenthesis:"2988",
llangle:"2989",
rrangle:"298A",
lbrackubar:"298B",
rbrackubar:"298C",
lbrackultick:"298D",
rbracklrtick:"298E",
lbracklltick:"298F",
rbrackurtick:"2990",
langledot:"2991",
rangledot:"2992",
lparenless:"2993",
rparengtr:"2994",
Lparengtr:"2995",
Rparenless:"2996",
lblkbrbrak:"2997",
rblkbrbrak:"2998",
lvzigzag:"29D8",
rvzigzag:"29D9",
Lvzigzag:"29DA",
Rvzigzag:"29DB",
lcurvyangle:"29FC",
rcurvyangle:"29FD",
lbag:"27C5",
rbag:"27C6",
longdivision:"27CC",
relbar:"23BC",
Relbar:"FF1D",
Rrelbar:"2261",
RRelbar:"2263",
mapsfromchar:"237F",
mapstochar:"E0B6"
},
macros: {
ovhook:["Accent","0309"],
candra:["Accent","0310"],
oturnedcomma:["Accent","0312"],
ocommatopright:["Accent","0315"],
droang:["Accent","031A"],
leftharpoonaccent:["Accent","20D0"],
rightharpoonaccent:["Accent","20D1"],
leftarrowaccent:["Accent","20D6"],
rightarrowaccent:["Accent","20D7"],
leftrightarrowaccent:["Accent","20E1"],
annuity:["Accent","20E7"],
widebridgeabove:["Accent","20E9"],
asteraccent:["Accent","20F0"],
widecheck:["Accent","030C",1],
overleftharpoon:["Accent","20D0",2],
overrightharpoon:["Accent","20D1",1],
underleftharpoon:["UnderOver","20EC",1],
underrightharpoon:["UnderOver","20ED",1],
overbracket:["UnderOver","23B4",1],
underbracket:["UnderOver","23B5",1],
ncongdot:["Macro","\\not\\kern-1mu\\congdot"],
napproxeqq:["Macro","\\not\\kern-1mu\\approxeqq"],
nll:["Macro","\\not\\kern-1.5mu\\ll"],
ngg:["Macro","\\not\\kern-1.2mu\\gg"],
nsqsubset:["Macro","\\not\\kern-1mu\\sqsubset"],
nsqsupset:["Macro","\\not\\kern-1mu\\sqsupset"],
nBumpeq:["Macro","\\not\\kern-1mu\\Bumpeq"],
nbumpeq:["Macro","\\not\\kern-1mu\\bumpeq"],
neqsim:["Macro","\\not\\kern-1mu\\eqsim"],
nvarisinobar:["Macro","\\not\\kern-1mu\\varisinobar"],
nvarniobar:["Macro","\\not\\kern-1mu\\varniobar"],
neqslantless:["Macro","\\not\\kern-1mu\\eqslantless"],
neqslantgtr:["Macro","\\not\\kern-1mu\\eqslantgtr"]
},
delimiter: {
      "\\lbrbrak":"2772",
      "\\lBrack":"27E6",
      "\\lAngle":"27EA",
      "\\lBrace":"2983",
      "\\lParen":"2985",
      "\\rbrbrak":"2773",
      "\\rBrack":"27E7",
      "\\rAngle":"27EB",
      "\\rBrace":"2984",
      "\\rParen":"2986",
      "\\Vvert":"2980",
      "\\Lbrbrak":"27EC",
      "\\Rbrbrak":"27ED",
      "\\Uuparrow":"290A",
      "\\Ddownarrow":"290B",
      "\\UUparrow":"27F0",
      "\\DDownarrow":"27F1"
      },
});
},null,true);
MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/ieee_stixext.js");
