/* -*- Mode: Javascript; indent-tabs-mode:nil; js-indent-level: 2 -*- */
/* this file is version 1.0 revised 11-7-2019 by Dave */
/* History */
/* 11-7-2019 Macros for IET PlainTeX */

/* vim: set ts=2 et sw=2 tw=80: */





/*


 * Depending on your local configuration, this file should be installed in either:


 *


 * <mathjax>/extensions/TeX


 * <mathjax>/unpacked/extensions/TeX


 *


 * and should replace any macros defined in default.js.


 *


 * To reference this file from default.js, add to the extensions array, as in:


 *


 * extensions: ["tex2jax.js","TeX/AMSmath.js","TeX/AMSsymbols.js","TeX/ieeemacros.js"],


 *


 */





MathJax.Extension["TeX/ietmacros"] = {


  version: "1.0"


};





MathJax.Hub.Register.StartupHook("TeX Jax Ready",function () {


  var TEX = MathJax.InputJax.TeX,


      MML = MathJax.ElementJax.mml,


      STACKITEM = TEX.Stack.Item,


      IEEE = MathJax.Extension["TeX/ietmacros"];



  TEX.Definitions.Add({

    macros: {
       lpar: ["Macro","{\\left({ }"],
       rpar: ["Macro","{ }\\right)}"],
       comma: ["Macro","{,}"],
		bi: ["Macro","\\boldsymbol"],
       lcub: ["Macro","{\\left\\{{ }"],
       rcub: ["Macro","{ }\\right\\}}"],
       lsqb: ["Macro","{\\left[{ }"],
       rsqb: ["Macro","{ }\\right]}"],
       opf: ["Macro","{\\Bbb{#1}}", 1], 
       percnt: ["Macro","{\\%}"],
       semicolon: ["Macro","{;}"],
       dbar: ["Macro","\\it{\\unicode{x0111}}"],
       circledone: ["Macro","\\unicode{x2460}"],
       circledtwo: ["Macro","\\unicode{x2461}"],
       circledthree: ["Macro","\\unicode{x2462}"],
       circledfour: ["Macro","\\unicode{x2463}"],
       circledfive: ["Macro","\\unicode{x2464}"],
       circledsix: ["Macro","\\unicode{x2465}"],
       circledseven: ["Macro","\\unicode{x2466}"],
       circledeight: ["Macro","\\unicode{x2467}"],
       circlednine: ["Macro","\\unicode{x2468}"],
       circledten: ["Macro","\\unicode{x2469}"],
       Tstrok: ["Macro","\\it{\\unicode{x0166}}"],
       textcircleda: ["Macro","\\unicode{x24D0}"],
       textcircledb: ["Macro","\\unicode{x24D1}"],
       babygamma: ["Macro","\\unicode{x0264}"],
    }

  });

});



MathJax.Ajax.loadComplete("[MathJax]/extensions/TeX/ietmacros.js");


